﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;

namespace WpfApp1
{
	/// <summary>
	/// Логика взаимодействия для App.xaml
	/// </summary>
	public partial class App : Application
	{
		public static bool isConsole = false;

		void App_Startup(object sender, StartupEventArgs e)
		{
			if (e.Args.Length == 2)
			{
				try
				{
					if (e.Args[0] == "-console")
					{
						isConsole = true;
						ConsoleManager.Show();
						Labirint currentLabirint = new Labirint(e.Args[1]);
						currentLabirint.SaveToFile("moves.txt");
						Shutdown();
					}
					else
					{
						isConsole = false;
					}
				}
				catch (Exception)
				{
					MessageBox.Show("Use: ./program.exe -console <path to file>", "WARNING", MessageBoxButton.OK, MessageBoxImage.Warning);
					isConsole = false;
				}

			}
			else if (e.Args.Length == 0)
			{
				isConsole = false;
			}
			else
			{
				MessageBox.Show("Use: ./program.exe -console <path to file>", "WARNING", MessageBoxButton.OK, MessageBoxImage.Warning);
				isConsole = false;
			}
			if (!isConsole)
			{
				ConsoleManager.Hide();
				MainWindow mainWindow = new MainWindow();
				mainWindow.Show();
			}
		}
	}
}
