﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Win32;

namespace WpfApp1
{
	/// <summary>
	/// Логика взаимодействия для MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		OpenFileDialog openFileDialog = new OpenFileDialog();

		public MainWindow()
		{
			InitializeComponent();
			openFileDialog.InitialDirectory = Assembly.GetEntryAssembly().Location;
			openFileDialog.RestoreDirectory = true;
			openFileDialog.Title = "Open map file";
			openFileDialog.DefaultExt = "txt";
			openFileDialog.Filter = "txt files (*.txt)|*.txt";
			openFileDialog.FileOk += OpenFileDialog_FileOk;
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			openFileDialog.ShowDialog();
		}

		private void OpenFileDialog_FileOk(object sender, System.ComponentModel.CancelEventArgs e)
		{
			filePathTextBox.Text = openFileDialog.FileName;
		}

		private void Button_Click_1(object sender, RoutedEventArgs e)
		{
			try
			{
				GameWindow gameWindow = new GameWindow(filePathTextBox.Text);
				gameWindow.Show();
			}
			catch (Exception)
			{
				MessageBox.Show("Check path to map file", "WARNING", MessageBoxButton.OK, MessageBoxImage.Warning);
			}
		}
	}
}
